libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.45. __nv_double2float_rd

Prototype:

    float @__nv_double2float_rd(double %d)

Description:

Convert the double-precision floating point value `x` to a single-precision floating point value in round-down (to negative infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes